Name: psfex
Version: 3.9.1
Release: %mkrel 3
Summary: PSF modelling and quality assessment

Group: Sciences/Astronomy
License: CeCILL
URL: http://www.astromatic.net/software/%{name}
Source0: http://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz
Patch0: psfex-security.patch
Patch1: psfex-plplot.patch
BuildRequires: fftw-devel
BuildRequires: libatlas-devel
BuildRequires: lapack-devel
BuildRequires: plplot-devel >= 5.9.10-1

%description
PSFEx (“PSF Extractor”) extracts models of the Point Spread Function
(PSF) from FITS images processed with SExtractor, and measures the
quality of images. The generated PSF models can be used for
model-fitting photometry or morphological analyses.

%prep
%setup -q
%apply_patches

%build
%configure2_5x  --with-atlas=%{_libdir}/atlas
%make 

%install
%makeinstall_std

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.xz
%{_mandir}/manx/%{name}.x.xz
%{_datadir}/%{name}/default.conv
%{_datadir}/%{name}/default.psfex
%{_datadir}/%{name}/prepsfex.param
%{_datadir}/%{name}/prepsfex.sex
%{_datadir}/%{name}/psfex.xsl



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 3.9.1-3.mga4
+ Revision: 538760
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 3.9.1-2.mga4
+ Revision: 490374
- patch psfex to new plplot
- upgrade to new plplot

* Sun Jul 14 2013 joequant <joequant> 3.9.1-1.mga4
+ Revision: 454021
- imported package psfex

